// file      : meta/class-p.hxx
// author    : Boris Kolpackov <boris@kolpackov.net>
// copyright : Copyright (c) 2008 Boris Kolpackov
// license   : GNU GPL v2; see accompanying LICENSE file

#ifndef META_CLASS_HXX
#define META_CLASS_HXX

#include "answer.hxx"

namespace meta
{
  template <typename X>
  struct class_p
  {
    template <typename Y> static no test (...);
    template <typename Y> static yes test (void* Y::*);

    static bool const r = sizeof (
      class_p<X>::template test<X> (0)) == sizeof (yes);
  };
}

#endif // META_CLASS_HXX
