// file      : meta/remove-v.hxx
// author    : Boris Kolpackov <boris@kolpackov.net>
// copyright : Copyright (c) 2008 Boris Kolpackov
// license   : GNU GPL v2; see accompanying LICENSE file

#ifndef META_REMOVE_V_HXX
#define META_REMOVE_V_HXX

namespace meta
{
  template <typename X>
  struct remove_v
  {
    typedef X r;
  };

  template <typename X>
  struct remove_v<X volatile>
  {
    typedef X r;
  };
}

#endif // META_REMOVE_V_HXX
